Subject: [PATCH 0/4] Hacks to allow booting ARM SMP kernel on UP ARMv7

From: [email-masked] (Tony Lindgren)
Date: Thu, 2 Sep 2010 09:16:59 -0700

* Russell King - ARM Linux <[email-masked]> [100902 06:29]:
> On Mon, Aug 30, 2010 at 03:55:27PM -0700, Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [100820 04:59]:
> > > * Russell King - ARM Linux <[email-masked]> [100819 13:13]:
> > > > On Thu, Aug 19, 2010 at 12:57:06PM +0300, Tony Lindgren wrote:
> > > > > Looks like something is not quite right with smp_on_up part of __fixup_smp,
> > > > > returning early before smp_on_up does not produce that.
> > > > 
> > > > It's probably overwriting some register it shouldn't be.  I might be
> > > > able to look at this sometime during the coming week... assuming that
> > > > the weather is as bad as they forecast and I have 'net connectivity.
> > 
> > This seems to fix it.
> 
> Thanks, merged that into my original patch - so here it is again with
> everything updated.

Your patch sure makes things simpler! The problem still is the
V6 vs V7 SMP code though.

Will post my six patches that apply on top of your patch as a reply to
this mail. With those, everything seems to work, at least after testing
on omap3630 (Cortex-A8 UP) and omap4430 (Cortex-A9 SMP).

Will, maybe see if there are some parts in your patchset that should
be used instead? I noticed pretty much all the earlier hacks are no
longer needed :)

Regards,

Tony